<!DOCTYPE html>
<html lang="en" ng-app="app">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>MatriculasAPP</title <!-- Latest compiled and minified CSS -->
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css" integrity="sha384-BVYiiSIFeK1dGmJRAkycuHAHRg32OmUcww7on3RYdg4Va+PmSTsz/K68vbdEjh4u"
        crossorigin="anonymous">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap-theme.min.css" integrity="sha384-rHyoN1iRsVXV4nD0JutlnGaslCJuC7uwjduW9SVrLvRYooPp2bWYgmgJQIXwl/Sp"
        crossorigin="anonymous">
    <script src="https://code.jquery.com/jquery-1.12.4.min.js" integrity="sha256-ZosEbRLbNQzLpnKIkEdrPv7lOy9C27hHQ+Xp8a4MxAQ="
        crossorigin="anonymous"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js" integrity="sha384-Tc5IQib027qvyjSMfHjOMaLkfuWVxZxUPnCJA7l2mCWNIpG9mGCD8wGNIcPD7Txa"
        crossorigin="anonymous"></script>
    <script src="static/js/angular.min.js"></script>
    <script src="static/js/core/app.js"></script>
</head>

<body ng-controller="AppCtrl" style="padding-top: 25px">
    <div class="container">
        <form action>
            <div class="row" ng-show="!formActive">
                <div class="col-md-3">
                    <div class="form-group">
                        <label for="estudiante_id">Estudiante: </label>
                        <select ng-change="selectStudent()" ng-model="selectedStudent" ng-options="item.id as item.nombre for item in students" name="estudiante"
                            id="estudiante_id" class="form-control">
                            <option value="">Seleccione...</option>
                        </select>
                    </div>
                </div>
                <div class="col-md-6" style="padding-top: 25px">
                    <button ng-click="newEnrollment()" type="button" class="btn btn-primary">Nuevo</button>
                </div>
            </div>
            <div class="row" ng-show="formActive">
                <div class="col-md-6">
                    <div class="form-group">
                        <label for="estudiante_add_id">Estudiante: </label>
                        <select ng-disabled="isEdit" ng-model="enrollment.student" ng-options="item.id as item.nombre for item in students" name="estudiante_add"
                            id="estudiante_add_id" class="form-control">
                            <option value="">Seleccione...</option>
                        </select>
                    </div>
                    <div class="form-group">
                        <label for="curso_id">Curso: </label>
                        <select ng-disabled="isEdit" ng-model="enrollment.course" ng-options="item.id as item.nombre for item in courses" name="curso"
                            id="curso_id" class="form-control">
                            <option value="">Seleccione...</option>
                        </select>
                    </div>
                    <div class="form-group">
                        <label for="calificacion_id">Calificaci&oacute;n: </label>
                        <input ng-model="enrollment.grade" class="form-control" type="text" id="calificacion_id">
                    </div>
                    <button ng-click="save()" type="button" class="btn btn-default">Grabar</button>
                    <button ng-click="cancel()" type="button" class="btn btn-danger">Cancelar</button>

                    <div ng-show="error" style="margin-top: 5px" class="alert alert-danger">
                        <strong>Error!</strong> {{errorMsg}}
                    </div>


                </div>

            </div>
            <table ng-show="!formActive" id="table_matriculas" class="table table-striped    table-hover">
                <thead>
                    <tr>
                        <th>Codigo curso</th>
                        <th>Curso</th>
                        <th>Calificacion</th>
                        <th></th>
                        <th></th>
                    </tr>
                </thead>
                <tbody>
                    <tr ng-show="!enrollments.length">
                        <td colspan="5" style="text-align: center">No tiene cursos matriculados</td>
                    </tr>
                    <tr ng-repeat="e in enrollments">
                        <td>{{e.curso.codigo}}</td>
                        <td>{{e.curso.nombre}}</td>
                        <td>{{e.calificacion}}</td>
                        <td>
                            <button type="button" ng-click="edit(e)" class="btn btn-default">Editar</button>
                        </td>
                        <td>
                            <button type="button" ng-click="delete(e.id)" class="btn btn-danger">Eliminar</button>
                        </td>
                    </tr>
                </tbody>
            </table>
        </form>
    </div>
</body>

</html>